RadiAnt DICOM Viewer - Discussion Forum
About Support OS Version

I have a RadiAntDICOM VIEWER(3.4.2.13370).
Does it correspond to Windows10(1803 or 1809)?


Jan 30, 2019 03:56 PM
by yusuke
Yes, RadiAnt 3.4.2 should work with the latest Windows 10 builds just fine. However, we do not perform extensive testing on older versions.


Feb 11, 2019 09:18 PM
by RadiAnt
Post reply

Author (first name or pseudonym):


Message:


You have to accept cookies to be able to post messages.
Visitors can post messages on the forum without having to register. Please input your first name or pseudonym in the "Author" field. Do not publish any personally identifiable information (PII).

Please ensure you write your posts in English so that our international audience can understand and reply to your message.

The Administrator reserves the right to remove any messages that violate our forum rules; for example, those that are not related to the RadiAnt DICOM Viewer software, published in a language other than English, contravene regulations, etc.